function B = feblock_defor_ss_divmat1(self,Ndersp,c,Rm)
    nfn= size(Ndersp,1);
    dim =size(Ndersp,2);
    B = zeros(1,nfn*dim);
    if (isempty(Rm))% there is no global-to-local transformation
        for i= 1:nfn
            B(:,dim*(i-1)+1:dim*i)=  Ndersp(i,1);
        end
    else% global-to-local transformation is requested
        for i= 1:nfn
            B(:,dim*(i-1)+1:dim*i)=  Ndersp(i,1) *Rm(:,1)' ;
        end
    end
end
