% Update the connectivity after the IDs of nodes changed.
%
% function self = update_connectivity(self,NewIDs)
%
% Inputs:
% NewIDs= new node IDs. Note that the conn array points into the  NewIDs
% array. After the connectivity was updated this is no longer true!
%
function self = update_connectivity(self,NewIDs)
    conn=self.conn;
    for i=1:size(conn,1)
        conn(i,:)=NewIDs(conn(i,:))';
    end
    self.conn=conn;
end
