% Evaluate the other dimension (thickness) .
%
% function A=other_dimension(self, conn, N, x)
%
% Evaluate the other dimension (thickness) of the element at given
% parametric coordinates, or at any given spatial coordinate. Arguments in
% the same as for Jacobian.
function A=other_dimension(self, conn, N, x)
    if (strcmp(class(self.other_dimension),'double'))
        A=self.other_dimension;
    else
        A=feval(self.other_dimension, conn, N, x);
    end
end
