maxT=[9.113434081642134e+002,9.059849518002127e+002,9.051223854809444e+002,9.049018804469090e+002,9.048450848159254e+002];
mesh_sizes=0.5./2.^(0:1:4);
figure
set(0, 'DefaultAxesFontSize', 18);
loglog(mesh_sizes(2:end),abs(diff(maxT)),'ro-','linewidth',3)
grid on
xlabel('mesh size')
ylabel('approximate temperature error')
hold on

figure
maxT1=maxT(3); maxT2=maxT(4); maxT3=maxT(5);
maxTestim=(maxT2^2-maxT1*maxT3)/(maxT2*2-maxT1-maxT3)
beta=log((maxTestim-maxT2)./(maxTestim-maxT3))/log(mesh_sizes(2)/mesh_sizes(3))
[maxTestim, beta] = richextrapol(maxT(end-2:end),mesh_sizes(end-2:end));
set(0, 'DefaultAxesFontSize', 18);
loglog(mesh_sizes,abs(maxT-maxTestim)/maxTestim,'ro-','linewidth',3)
hold on
grid on
xlabel('mesh size')
ylabel('normalized estim. temp. error')


maxT1=maxT(3); maxT2=maxT(4); maxT3=maxT(5);
maxT2+(maxT3-maxT2)/(1-(1/2)^ 2.16)



A =[log(mesh_sizes(1:end-1)'), ones(length(mesh_sizes)-1,1)];
b=log(abs(diff(maxT))');
A\b
