% MESH GENERATION EXAMPLES
%
% Files
%   <a href="matlab: edit 'actuator1_mesh.m'">actuator1_mesh.m</a> - Mesh of actuator
%   <a href="matlab: edit 'curvy.m'">curvy.m</a> - Circle mesh
%   <a href="matlab: edit 'four_arc_circle.m'">four_arc_circle.m</a> - Circle composed of  arcs
%   <a href="matlab: edit 'make_spherical_surface.m'">make_spherical_surface.m</a> - 
%   <a href="matlab: edit 'mkhemisphere.m'">mkhemisphere.m</a> - 
%   <a href="matlab: edit 'mkoctsphelayrs.m'">mkoctsphelayrs.m</a> - 
%   <a href="matlab: edit 'mksolidsphere.m'">mksolidsphere.m</a> - 
%   <a href="matlab: edit 'mksphelayrs.m'">mksphelayrs.m</a> - 
%   <a href="matlab: edit 'mksphelayrs2.m'">mksphelayrs2.m</a> - 
%   <a href="matlab: edit 'mksphere.m'">mksphere.m</a> - 1/8 of a sphere
%   <a href="matlab: edit 'test_Acylinder.m'">test_Acylinder.m</a> - 
%   <a href="matlab: edit 'test_Bcylinder.m'">test_Bcylinder.m</a> - 
%   <a href="matlab: edit 'test_Tetrahedron.m'">test_Tetrahedron.m</a> - 
%   <a href="matlab: edit 'test_block.m'">test_block.m</a> - 2-D Block, Q4 elements
%   <a href="matlab: edit 'test_elliphole.m'">test_elliphole.m</a> - Mesh around an elliptical whole
%   <a href="matlab: edit 'test_extrude.m'">test_extrude.m</a> - Mesh extruded from quadrilaterals
%   <a href="matlab: edit 'test_extrudel2.m'">test_extrudel2.m</a> - Mesh extruded from line segments
%   <a href="matlab: edit 'test_facing.m'">test_facing.m</a> - Geometric cell selection test
%   <a href="matlab: edit 'test_facing2.m'">test_facing2.m</a> - Geometric cell selection test
%   <a href="matlab: edit 'test_helix.m'">test_helix.m</a> - Helical mesh
%   <a href="matlab: edit 'test_helix2.m'">test_helix2.m</a> - Helical mesh, circular cross-section
%   <a href="matlab: edit 'test_hexahedro1.m'">test_hexahedro1.m</a> - Mesh composed of merged blocks
%   <a href="matlab: edit 'test_hexahedro2.m'">test_hexahedro2.m</a> - Mesh composed of merged blocks, different visualization
%   <a href="matlab: edit 'test_hexahedron.m'">test_hexahedron.m</a> - Hexahedron
%   <a href="matlab: edit 'test_marriage1.m'">test_marriage1.m</a> - Extruded and Merged blocks
%   <a href="matlab: edit 'test_refint4.m'">test_refint4.m</a> - T4 uniform mesh refinement
%   <a href="matlab: edit 'test_t4block.m'">test_t4block.m</a> - T4  blocks
%   <a href="matlab: edit 'test_t4block2.m'">test_t4block2.m</a> - T4  blocks
%   <a href="matlab: edit 'triangle_with_circular_hole.m'">triangle_with_circular_hole.m</a> - What it says
%   <a href="matlab: edit 'two_arc_circle.m'">two_arc_circle.m</a> - Shape of two circular arcs
%   <a href="matlab: edit 'two_arc_circle2.m'">two_arc_circle2.m</a> - Shape of two circular arcs
%   <a href="matlab: edit 'two_arc_circle_had.m'">two_arc_circle_had.m</a> - Shape of two circular arcs
%   <a href="matlab: edit 'two_arcs.m'">two_arcs.m</a> - Shape of two circular arcs
%   <a href="matlab: edit 'two_arcs_adaptive.m'">two_arcs_adaptive.m</a> - Shape of two circular arcs
