Amplitude = 1500;
Make_frames = ~true;
eigvsrange= 1:neigvs;

cam2.cam=1.0e+004 *[-4.0661   -5.4507    4.3589    0.5000    0.5000    0.0284         0         0  0.0001    0.0007];
cam2.Viewpoint='Above';
cam2.cbgl=[];
cam2.txtlblxyz=[-4.462e+004 -5.466e+004 3.921e+004];
% 
% % Select camera
cam =cam2;

bdry_gcells = mesh_bdry(gcells, []);
Show_bdry_gcells =subset(bdry_gcells,setdiff (1:count(bdry_gcells),cam.cbgl));

conns =get(Show_bdry_gcells,'conn');
conns =conns(:, [1, 4, 3, 2]);

xyz = gather(geom, (1:count(fens)), 'values', 'noreshape');

% Plot
gv=graphic_viewer;
gv=reset (gv,[]);
w=clone(u,'w'); % make a copy of u
%         for i=27:-1:1
%       for i=neigvs:-1:1
for i=eigvsrange
    scale=Amplitude/max(abs(W(:,i)));
    disp(['  Eigenvector ' num2str(i) ' frequency ' num2str(sqrt(Omega(i,i))/2/pi) ' Hz']);
    clf;
    w = scatter_sysvec(w, W(:,i));
    wv = get(w,'values');
    wmag = sqrt(wv(:,1).^2+wv(:,2).^2+wv(:,3).^2);
    dcm=data_colormap(struct ('range',[min(wmag),max(wmag)], 'colormap',cadcolors));
    colors=map_data(dcm, wmag);
    colorfield = field(struct ('name',['cf'], 'dim', 3, 'data',colors));
    gv=reset (gv,[]);
    set(gca,'FontSize',16)
    camset(gv,cam.cam);
    wxyz = scale*gather(w, (1:count(fens)), 'values', 'noreshape');
    h=patch('Faces', conns, ...
        'Vertices', xyz +wxyz,'NormalMode','manual','BackFaceLighting','lit',...
        'FaceVertexCData', colors,...
        'FaceColor', 'interp','EdgeColor','black');
%         draw(Show_bdry_gcells(j),gv, struct ('x',  geom,'u',+scale*w,'colorfield',colorfield));
    text(cam.txtlblxyz(1),cam.txtlblxyz(2),cam.txtlblxyz(3),['\omega_{' num2str(i) '}=' num2str(sqrt(Omega(i,i))) ' [Rad/s]'],'FontSize',24);
    %     axis off
    %     saveas(gcf, ['drum_t10-' num2str(i) '.png'], 'png');
    headlight(gv);
%     print(gcf, '-dpng','-r75',[ Model '-' cam.Viewpoint '-Evec' num2str(i)  ]);
    if (Make_frames)
        xcam =cam;
%         xcam(7:9)=[1, 0, 0];
%         Camera_position =xcam(1:3);
%         Camera_target =xcam(4:6);
%         Camera_tether =Camera_position +Camera_target;
%         Camera_Up =xcam(7:9); Camera_Up =Camera_Up/norm(Camera_Up);
%         txtlblxyz =[36,0,0]+Camera_target;
        Frame= 1;
        N_Frames = 12;
        N_RotationPeriods =1;
        N_TimePeriods =N_RotationPeriods;
        for Frame =1:N_Frames
            xscale=scale*sin((Frame-1)/N_Frames*N_TimePeriods*2*pi);
            reset (gv,[]);
            %             Angle =sin((Frame-1)/N_Frames*N_RotationPeriods*2*pi);
            %             xcam(1:3) =Camera_target +Camera_tether*rotmat(-Camera_Up*Angle)';
            camset(gv, xcam.cam);
            wxyz = xscale*gather(w, (1:count(fens)), 'values', 'noreshape');
            h=patch('Faces', conns, ...
                'Vertices', xyz +wxyz,'NormalMode','manual','BackFaceLighting','lit',...
                'FaceVertexCData', colors,...
                'FaceColor', 'interp','EdgeColor','black');
            h=text(xcam.txtlblxyz(1),xcam.txtlblxyz(2),xcam.txtlblxyz(3),['f_{' num2str(i) '}=' num2str(sqrt(Omegas(i))/2/pi)  ' Hz'],...
                'FontSize',24,'BackgroundColor', [1, 1, 1]);
            axis off
            headlight(gv);
            print(gcf, '-dpng','-r75',[Model '-' xcam.Viewpoint '-Evec' num2str(i) '-' n2s0p(Frame) ]);
            %                 Frame = Frame +1;
            pause(0.005);
        end
%         ear1_movie (Subsampling,i);
    end
    pause(1); % next eigenvector
end
