
        if graphics && (mod(incr,10)==0)
            gv=reset(clear(gv,[]),[]);
            cmap = jet(16);
            Cauchy = [];
            for j=1:6
                fld = field_from_integration_points(feb, geom, u1, [], 'Cauchy',j);
                nvals=get(fld,'values');%min(nvals),max(nvals)
                Cauchy = [Cauchy,nvals];
            end
            nvals =sqrt(( (Cauchy(:,1)-Cauchy(:,2)).^2+...
                (Cauchy(:,3)-Cauchy(:,2)).^2 +...
                (Cauchy(:,1)-Cauchy(:,3)).^2 +...
                6*(Cauchy(:,4).^2+Cauchy(:,5).^2 +Cauchy(:,6).^2))/2)/1e9;% in GPa
            nvalsrange=[min(nvals),max(nvals)];
            dcm=data_colormap(struct ('range',nvalsrange, 'colormap',cmap));
            colorfield=field(struct ('name', ['colorfield'], 'data',map_data(dcm, nvals)));
            draw(feba,gv, struct ('x', geom, 'u', u,'colorfield',colorfield, 'shrink',1.0));
            draw(feba,gv, struct ('x', geom, 'u', 0*u,'facecolor','none', 'shrink',1.0));
            % draw(efeb,gv, struct ('x', geom, 'u', 0*u,'facecolor','red', 'shrink',1.0));
            colormap(cmap);
            cbh=colorbar;
            set(cbh,...
                'Position',[0.815 0.15 0.05 0.7],...
                'YLim',[0,1],...
                'YTick',[0,1],...
                'YTickLabel',{[num2str(nvalsrange(1))],[num2str(nvalsrange(2))]});%{[num2str((min(nvals)))],[num2str((max(nvals)))]}
            set(get(cbh,'XLabel'),'String','von Mises');
            draw(febc,gv, struct ('x', geom,'u',u, 'facecolor','white'));
            view(2);
            drawnow;
        end